const container = document.getElementById("questioncontainer");
const submit = document.getElementById("submit");

class Question {

	constructor(n, q1, q2, q3, q4, ca) {
		this.questionName = n;
		this.choices = [q1,q2,q3,q4];
		this.correctAnswer = ca-1;
	}

}

let questions = [];

questions.push(new Question("What year was TF2 released?", "2006", "2007", "2009", "2011", 2));
questions.push(new Question("How many weapons are in the game(not including reskins)?", "144", "152", "171", "193", 3));
questions.push(new Question("What town is the Engineer from?", "Bee Cave", "Austin", "Alpine", "Fort Stockton", 1));
questions.push(new Question("Which voice actor voices both the Pyro and the Spy?", "Nathan Vetterlein", "Dennis Bateman", "Gary Schwartz", "Robin Atkin Downes", 2));
questions.push(new Question("True or False: a Sapper, when attached to a Sentry Gun, can be affected by Critical Hits.", "True", "False", "Wrong answer", "Wrong answer", 2));
questions.push(new Question("What class was supposed to have a nailgun that was replaced with another weapon?", "Soldier", "Medic", "Engineer", "Scout", 4));
questions.push(new Question("Who was the first pyro?", "Abraham Lincoln", "Franklin Roosevelt", "George Washington", "John F Kennedy", 1));
questions.push(new Question("True or False: The engineer from Team Fortress Classic is actually the father of the engineer in Team Fortress 2", "True", "False", "Wrong answer", "Wrong answer", 1));
questions.push(new Question("The original stickybomb model for the Scottish Resistance was later added to the game for which other stickybomb launcher?", "Quickiebomb Launcher", "Sticky Jumper", "Stickybomb Launcher", "Trick question! It never was added back!", 2));
questions.push(new Question("True or False: the Soldier in-game is voiced by the same actor that voices Merasmus", "True", "False", "Wrong answer", "Wrong answer", 2));
questions.push(new Question("The short film Expiration Date used a modified version of this map.", "Hoodoo", "Badwater Basin", "Badlands", "Hydro", 4));
questions.push(new Question("Which of the following maps is not remade from Team Fortress Classic?", "Badlands", "Well", "Granary", "Dustbowl", 3));
questions.push(new Question("How old is Merasmus?", "5000 years old", "6000 years old", "8000 years old", "100000 years old", 2));
questions.push(new Question("Merasmus has the logo of this class on his bicep.", "Soldier", "Demoman", "Heavy", "Sniper", 1));
questions.push(new Question("True or False: the Sniper is from Australia.", "True", "False", "Wrong answer", "Wrong answer", 2));
questions.push(new Question("True or False: You gain points when you help maintain a teammate's Sentry Gun.", "True", "False", "Wrong answer", "Wrong answer", 1));
questions.push(new Question("What year does Team Fortress 2 take place?", "1962", "1968", "1972", "1977", 2));
questions.push(new Question("What day does Team Fortress(the whole series, not the release of TF2) celebrate its birthday?", "August 20", "August 22", "August 24", "August 25", 3));
questions.push(new Question("MONOCULUS is the missing eye of the", "BLU Demoman", "RED Demoman", "Wrong answer", "Wrong answer", 2));
questions.push(new Question("Which weapon was originally intended for the Scout before being moved to another class?", "Syringe Gun", "Shotgun", "Revolver", "Submachine gun", 4));
questions.push(new Question("True or False: All robots in MvM strangely have a RED team texture", "True", "False", "Wrong answer", "Wrong answer", 1));
questions.push(new Question("What melee weapon was the Medic originally going to have?", "Scalpel", "Needle", "Scissors", "Reflex hammer", 2));
questions.push(new Question("What does the B.A.S.E in B.A.S.E Jumper mean?", "Bombs And Shit Everywhere", "Break A Shitty Economy", "B.A.S.E As Super Epicness", "Building Antenna Span Earth", 4));
questions.push(new Question("True or False: Even though Heavy is Russian, the Natascha's name is actually the German spelling of the name.", "True", "False", "Wrong answer", "Wrong answer", 1));
questions.push(new Question("When the creator of the Southern Hospitality sent an email to Gabe Newell to thank him for putting his item into the game, Gaben responded by buying this many Southern Hospitalities.", "0", "100", "1000", "10000", 4));
questions.push(new Question("'The Danger', a hat for the Engineer, is based off of the famous hat from this TV show.", "Dallas", "The Fresh Prince of Bel-Air", "Breaking Bad", "Downton Abbey", 3));
questions.push(new Question("True or False: There were plans for a zombie-themed Team Fortress game.", "True", "False", "Wrong answer", "Wrong answer", 2));
questions.push(new Question("Which is the first map to take place at night?", "Nightfall", "Pipeline", "Kong King", "Harvest Event", 2));
questions.push(new Question("The Civilian class from TFC, although existing in TF2's game files but not officially implemented into the game, makes a cameo in TF2 in this video.", "Meet the Sniper", "Expiration Date", "All of the above", "None of the above", 3));
questions.push(new Question("In the concept stages of the game, the Heavy was going to have this hairstyle.", "Caesar cut", "Buzz cut", "Mullet", "Bald, like he is now", 3));

for(let i = 0; i < questions.length; i++) {

	let questionNum = i+1;
	container.innerHTML += "Q " + questionNum + " - " + questions[i].questionName + "<br />";

	for(let j = 0; j < 4; j++) {
		let name = "q" + (i+1);
		let id = name + "c" + (j);
		container.innerHTML += "<input type='radio' name='" + name + "' id='" + id + "' />" + questions[i].choices[j] + "<br />";
	}

	container.innerHTML += "<br />";

}

function checkAnswers() {

	let str = "";
	let numWrong = 0;

	for(let i = 0; i < questions.length; i++) {

		let questionNum = i+1;
		let correctid = "q" + (i+1) + "c" + (questions[i].correctAnswer);
		if(!document.getElementById(correctid).checked) {
			numWrong++;
			let letter;
			if(questions[i].correctAnswer == 0)
				letter = 'A';
			else if(questions[i].correctAnswer == 1)
				letter = 'B';
			else if(questions[i].correctAnswer == 2)
				letter = 'C';
			else
				letter = 'D';
			str += "Q" + questionNum + "(Correct Answer: " + letter + "), ";
		}

	}

	let score = Math.round(((questions.length - numWrong) / questions.length) * 100);
	let win = window.confirm("Your grade is " + score + "%. Would you like to see the questions that you got wrong?");
	if(win && score == 100)
		alert("You got them all right! Good job!");
	else if(win)
		alert(str.substr(0, str.length-2));

}